org.apache.ignite.internal.processors.schedule

## Class IgniteScheduleProcessorAdapter

- java.lang.Object
- - org.apache.ignite.internal.processors.GridProcessorAdapter
  - - org.apache.ignite.internal.processors.schedule.IgniteScheduleProcessorAdapter

All Implemented Interfaces:
  GridComponent, GridProcessor

Direct Known Subclasses:
  IgniteNoopScheduleProcessor

    public abstract class IgniteScheduleProcessorAdapter
    extends GridProcessorAdapter

Schedules cron-based execution of grid tasks and closures. Abstract class was introduced to avoid mandatory runtime dependency on cron library.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.ignite.internal.GridComponent

`GridComponent.DiscoveryDataExchangeType`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.GridProcessorAdapter

`ctx, diagnosticLog, log`

### Constructor Summary

Constructors
`protected` `IgniteScheduleProcessorAdapter(GridKernalContext ctx)`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract <R> SchedulerFuture<R>` `schedule(Callable<R> c, String pattern)`
`abstract SchedulerFuture<?>` `schedule(Runnable c, String pattern)`

### Methods inherited from class org.apache.ignite.internal.processors.GridProcessorAdapter

`assertParameter, collectGridNodeData, collectJoiningNodeData, discoveryDataType, onDisconnected, onGridDataReceived, onJoiningNodeDataReceived, onKernalStart, onKernalStop, onReconnected, printMemoryStats, start, stop, toString, validateNode, validateNode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgniteScheduleProcessorAdapter

    protected IgniteScheduleProcessorAdapter(GridKernalContext ctx)

Parameters:
  `ctx` - Kernal context.

### Method Detail

#### schedule

    public abstract SchedulerFuture<?> schedule(Runnable c,
                                                String pattern)

Parameters:
  `c` - Closure to schedule to run as a background cron-based job.
  `pattern` - Scheduling pattern in UNIX cron format with prefix "{n1, n2} " where n1 is delay of scheduling and n2 is the number of task calls.
Returns:
  Descriptor of the scheduled execution.

#### schedule

    public abstract <R> SchedulerFuture<R> schedule(Callable<R> c,
                                                    String pattern)

Parameters:
  `c` - Closure to schedule to run as a background cron-based job.
  `pattern` - Scheduling pattern in UNIX cron format with prefix "{n1, n2} " where n1 is delay of scheduling and n2 is the number of task calls.
Returns:
  Descriptor of the scheduled execution.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020